package com.ruoyi.abuwx.service;

import com.ruoyi.abuwx.domain.UserFeedbackReply;

import java.util.List;

/**
 * 领导回复Service接口
 * 
 * @author lujie
 * @date 2025-01-20
 */
public interface IUserFeedbackReplyService 
{
    /**
     * 查询领导回复
     * 
     * @param id 领导回复主键
     * @return 领导回复
     */
    public UserFeedbackReply selectUserFeedbackReplyById(Long id);

    /**
     * 查询领导回复列表
     * 
     * @param userFeedbackReply 领导回复
     * @return 领导回复集合
     */
    public List<UserFeedbackReply> selectUserFeedbackReplyList(UserFeedbackReply userFeedbackReply);

    /**
     * 新增领导回复
     * 
     * @param userFeedbackReply 领导回复
     * @return 结果
     */
    public int insertUserFeedbackReply(UserFeedbackReply userFeedbackReply);

    /**
     * 修改领导回复
     * 
     * @param userFeedbackReply 领导回复
     * @return 结果
     */
    public int updateUserFeedbackReply(UserFeedbackReply userFeedbackReply);

    /**
     * 批量删除领导回复
     * 
     * @param ids 需要删除的领导回复主键集合
     * @return 结果
     */
    public int deleteUserFeedbackReplyByIds(Long[] ids);

    /**
     * 删除领导回复信息
     * 
     * @param id 领导回复主键
     * @return 结果
     */
    public int deleteUserFeedbackReplyById(Long id);
}
